export const routerConfig = [
  {
    path: '/user',
    component: '../layouts/UserLayout',
    routes: [
      {
        name: 'login',
        path: '/user/login',
        component: './user/login',
      },
    ],
  },
  { path: '/', redirect: '/welcome' },
  {
    path: '/',
    component: '../layouts/BasicLayout',
    routes: [
      {
        name: '欢迎',
        path: '/welcome',
        icon: 'smile',
        component: './Welcome',
      },
      {
        name: '数据统计',
        path: '/statistics',
        icon: 'dashboard',
        routes: [
          // {
          //   path: '/statistics/charts',
          //   name: '统计',
          //   component: './Count/CountCharts',
          // },
          // {
          //   path: '/statistics/charts/details',
          //   name: '统计图表',
          //   component: './Count/CountDetails',
          //   hideInMenu: true
          // },
          {
            path: '/statistics/list',
            name: '统计原始数据',
            component: './Count/CountList',
            hideInMenu: true
          },
          {
            path: '/statistics/trendtotal',
            name: '统计',
            component: './Count/TrendTotal',
          },
          {
            path: '/statistics/duration',
            name: '原始数据统计',
            component: './Count/DurationCount',
            // authority: ['manager'],
          },
          // {
          //   path: '/statistics/userpay',
          //   name: '用户付费趋势',
          //   component: './Count/TrendUserPay',
          // },
          // {
          //   path: '/statistics/useraccess',
          //   name: '用户访问趋势',
          //   component: './Count/TrendUserAccess',
          // },
          // {
          //   path: '/statistics/channelregist',
          //   name: '渠道注册趋势',
          //   component: './Count/TrendChannelRegist',
          // },
          {
            component: './404',
          },
        ]
      },
      {
        name: '用户管理',
        path: '/customer',
        icon: 'user',
        routes: [
          {
            name: '用户列表',
            path: '/customer/list',
            component: './Customer/UserList'
          },
          {
            name: '用户详情',
            path: '/customer/list/details',
            component: './Customer/UserDetails',
            hideInMenu: true
          }
        ],
      },
      {
        name: '渠道管理',
        path: '/channel',
        icon: 'gold',
        routes: [
          {
            name: '子管理员',
            path: '/channel/managerList',
            component: './Channel/ManagerList/ManagerList'
          },
          {
            name: '子渠道',
            path: '/channel/sonChannel',
            component: './Channel/SonChannel/SonChannelList'
          },
          {
            name: '渠道设置',
            path: '/channel/sonChannel/detail',
            component: './Channel/ChannelInfo',
            hideInMenu: true
          },
          {
            name: '异步通知配置',
            path: '/channel/notifyConfig',
            component: './Channel/NotifyConfig'
          },
          {
            name: '异步通知记录',
            path: '/channel/notifyConfig/records',
            component: './Channel/NotifyRecords'
          },
        ],
      },
      {
        name: '渠道钱包',
        path: '/finance',
        icon: 'gold',
        routes: [
          {
            name: '渠道钱包管理',
            path: '/finance/walletSearch',
            component: './Finance/WalletSearch'
          },
          {
            name: '渠道充值流水',
            path: '/finance/walletSearch/rechargeHis',
            component: './Finance/RechargeHis',
            hideInMenu: true
          },
          {
            name: '红包管理',
            path: '/finance/redEnvelop',
            component: './Finance/RedEnvelop'
          },
        ]
      },
      // {
      //   name: '活动管理',
      //   path: '/activity',
      //   icon: 'flag',
      //   hideInMenu: true,
      //   routes: [
      //     {
      //       component: './404',
      //     },
      //   ],
      // },
      // {
      //   name: '系统管理',
      //   path: '/system',
      //   icon: 'setting',
      //   hideInMenu: true,
      //   routes: [
      //     {
      //       component: './404',
      //     },
      //   ],
      // },
      // {
      //   name: '财务管理',
      //   path: '/finance',
      //   icon: 'dollar',
      //   hideInMenu: true,
      //   routes: [
      //     {
      //       component: './404',
      //     },
      //   ],
      // },
    ],
  },
  {
    component: './404',
  },
];
