import React, { Component } from 'react'
import styles from './ExpireTime.less'
import { Select, InputNumber } from 'antd'
const Option = Select.Option
class ExpireTime extends Component {
  onTypeChange = (value) => {
    const { onChange } = this.props 
    if (typeof value === 'string') {
      value = +value
    }
    onChange && onChange('timeType', value)
  }
  onDaysChange = (value) => {
    const { onChange } = this.props 
    onChange && onChange('days', value)
  }
  onHoursChange = (value) => {
    const { onChange } = this.props 
    onChange && onChange('hours', value)
  }
  render () {
    const {
      timeType = '0',
      hours,
      days
    } = this.props

    return (
      <div className={styles['wrap']}>
        <Select 
          className={styles['select']}
          value={timeType ? timeType.toString() : '0'}
          onChange={this.onTypeChange}
        >
          <Option key={0}>永久</Option>
          <Option key={1}>时长</Option>
        </Select> 
        {
          timeType === 0
          ? null
          : <div className={styles['input-wrap']}>
            <InputNumber 
              onChange={this.onDaysChange}
              value={days}
              placeholder='输入天'
              min={0}
              precision={0}
            />
            <div className={styles['prefix']}>天</div>
            <InputNumber 
              onChange={this.onHoursChange}
              value={hours}
              placeholder='输入小时'
              min={0}
              precision={0}
            />
            <div className={styles['prefix']}>小时</div>
          </div>
        } 
      </div>
    )
  }
}
export default ExpireTime
