{/* <UpdateAppInfo
  info={this.state.info}
  drawerProps={{
    width: 600,
    title: type === 'add' ? '添加用户' : '编辑App信息',
    visible: this.state.updateModal,
    onClose: () => this.setState({ updateModal: false }),
  }}
  refresh={this.afterAddUser.bind(this)}
  type={this.state.actionType}
/> */}


import React from 'react'
import '@ant-design/compatible/assets/index.css';
import { Drawer, Button, Input, Alert, notification, Form } from 'antd';
import MyUpload from '@/components/Custom/MyUpload';
import FooterToolbar from '@/components/FooterToolbar'
import { editChannelApp, getThirdPartyAppIconUploadConfig } from '../services/api'


const FormItem = Form.Item;
const formItemLayout = {
  labelCol: {
    xs: {
      span: 24,
    },
    sm: {
      span: 12,
    },
  },
  wrapperCol: {
    xs: {
      span: 24,
    },
    sm: {
      span: 12,
    },
    md: {
      span: 10,
    },
  },
};

class UpdateAppInfo extends React.Component {
  constructor(props) {
    super(props)
    this.formRef = React.createRef()
    this.state = {

    }
  }

  componentDidMount() {
    const info = this.props.info;
    this.formRef.current.setFieldsValue({
      appName: info.appName,
      apiAuthByPhone: info.apiAuthByPhone,
      apiNoticeUserRegistered: info.apiNoticeUserRegistered,
      apiNoticeUserUpdate: info.apiNoticeUserUpdate
    });
  }

  componentDidUpdate(prevProps, prevState, snapshot) {
    if (this.state.uploadRef && !prevState.uploadRef) {
      const { info } = this.props;
      if (info.appIcon && info.appIcon[0]) {
        this.state.uploadRef.setState({
          fileList: [
            {
              uid: Date.now(),
              status: 'done',
              url: info.appIcon[0].x57_57,
              name: '57px图片',
            },
          ],
        });
      }
    }
    if (this.state.uploadRef2 && !prevState.uploadRef2) {
      const { info } = this.props;
      if (info.appIcon && info.appIcon[1]) {
        this.state.uploadRef2.setState({
          fileList: [
            {
              uid: Date.now(),
              status: 'done',
              url: info.appIcon[1].x512_512,
              name: '512px图片',
            },
          ],
        });
      }
    }
  }

  saveUploadRef(uploadRef) {
    this.setState({ uploadRef });
  }

  saveUploadRef2(uploadRef2) {
    this.setState({ uploadRef2 });
  }

  //编辑
  editChannelApp = () => {
    const { uploadRef, uploadRef2 } = this.state
    this.formRef.current.validateFields().then(values => {
      console.log(values)
      const appIcon = [
        {
          'x57_57': uploadRef.state.fileList.length === 0 ? '' : uploadRef.state.fileList[0].url,
        },
        {
          'x512_512': uploadRef2.state.fileList.length === 0 ? '' : uploadRef2.state.fileList[0].url,
        }
      ]
      const params = {
        ...values,
        appIcon: JSON.stringify(appIcon),
        channelId: this.props.channelId
      }
      this.setState({ updateLoading: true }, async () => {
        const res = await editChannelApp(params)
        if (res.success) {
          notification.success({
            message: 'APP信息编辑成功'
          })
          this.setState({ updateLoading: false })
          this.props.refresh()
        } else {
          this.setState({ updateLoading: false })
        }
      })
    })
  }

  render() {
    const { drawerProps } = this.props
    return (
      <Form ref={this.formRef} {...formItemLayout}>
        <Drawer {...drawerProps}>
          <FormItem
            label="App名称"
            name="appName"
            rules={[{ required: true, message: '请输入App名称' }]}
          >
            <Input placeholder="请输入App名称" allowClear />
          </FormItem>
          <FormItem
            label="App 手机登陆服务地址"
            name="apiAuthByPhone"
            rules={[{ required: false, message: '请输入App 手机登陆服务地址' }]}
          >
            <Input placeholder="请输入App 手机登陆服务地址" allowClear />
          </FormItem>
          <FormItem
            label="星芽注册用户通知url"
            name="apiNoticeUserRegistered"
            rules={[{ required: false, message: '请输入星芽注册用户通知url' }]}
          >
            <Input placeholder="请输入星芽注册用户通知url" allowClear />
          </FormItem>
          <FormItem
            label="星芽用户修改信息通知Url"
            name="apiNoticeUserUpdate"
            rules={[{ required: false, message: '请输入星芽用户修改信息通知Url' }]}
          >
            <Input placeholder="请输入星芽用户修改信息通知Url" allowClear />
          </FormItem>
          <FormItem label="App图标" {...formItemLayout}>
            <div style={{ height: 120 }}>
              <MyUpload
                saveData={this.saveUploadRef.bind(this)}
                requestUrl={getThirdPartyAppIconUploadConfig}
              />
            </div>
            <Alert message="建议尺寸为57px * 57px" type="info" showIcon />
            <div style={{ height: 120, marginTop: 20 }}>
              <MyUpload
                saveData={this.saveUploadRef2.bind(this)}
                requestUrl={getThirdPartyAppIconUploadConfig}
              />
            </div>
            <Alert message="建议尺寸为512px * 512px" type="info" showIcon />
          </FormItem>
          <FooterToolbar style={{ position: 'absolute' }}>
            <Button type="primary" loading={this.state.updateLoading} onClick={this.editChannelApp}>确定编辑</Button>
          </FooterToolbar>
        </Drawer>
      </Form>
    )
  }
}

export default UpdateAppInfo