/**
 * 
 * 新建/编辑 异步通知
 */

// 引入react依赖
import React, { Component } from 'react'
// 引入antd组件
import { Drawer, Select, Radio, Button, Switch, Form, Input, } from 'antd'
// 引入样式
import styles from './UpdateNotify.less'
// 引入当前模块需要的接口函数
import { updateNotifyConfig } from '../../services/api'

// 底部按钮样式
const _btnStyle = {
  width: 110,
  margin: '0 10px'
}
const _itemStyle = {
  width: '100%'
}

// 下拉框
const Option = Select.Option

const FormItem = Form.Item;
const formItemLayout = {
  labelCol: { xs: { span: 24, }, sm: { span: 6, }, },
  wrapperCol: { 
    xs: { span: 24, },
    sm: { span: 14, },
    md: { span: 14, },
  },
};

class UpdateNotify extends Component {
  constructor (props) {
    super(props)
    this.state = {
      // loading
      loading: false,
    }
  }
  formRef = React.createRef()
  componentDidMount () {
    // const { apiNoStr, hostUrl } = this.props
    
    // setTimeout(() => {
    //   if (hostUrl) {
    //     this.formRef.current.setFieldsValue({
    //       hostUrl
    //     })
    //   }
    // })
  }

  onOk = async () => {
    try {
      const values = await this.formRef.current.validateFields()
      const { onOk, apiNo } = this.props
      values.apiNo = apiNo
      const { code } = await updateNotifyConfig(values)
      if (code === 'OK'){
        // 更新成功
        onOk && onOk()
      }
    } catch (e) {
      console.log(e)
    }
  }

  getPopupContainer = () => {
    return this.containerNode || document.body
  }
  render () {
    const { onCancel, apiNoStr, hostUrl } = this.props
    const { loading, uploading  } = this.state
    const isEdit = !!hostUrl
    return (
      <Drawer
        title={`${isEdit ? '更新' : '创建'}异步通知配置`}
        onClose={onCancel}
        visible
        width={720}
      >
        <div className={styles['content-wrap']}>
          <div className={styles['content-body']} ref={node => this.containerNode = node }>
            <Form ref={this.formRef} {...formItemLayout}>
              <Form.Item
                label='接口类型'
              >
                {apiNoStr}
              </Form.Item>
              {
                !!hostUrl &&
                <Form.Item
                  label='原回调接口地址'
                >
                  {hostUrl}
                </Form.Item>
              }
              <FormItem
                label='回调接口地址'
                name='hostUrl'
                rules={[{ required: true, message: '请输入回调接口地址' }]}
              >
                <Input
                  placeholder='请输入回调接口地址'
                  style={_itemStyle}
                />
              </FormItem>
            </Form>
          </div>
          <div className={styles['footer-wrap']}>
            <Button 
              style={_btnStyle}
              onClick={onCancel}
            >取消</Button>
            <Button 
              type='primary' 
              style={_btnStyle}
              onClick={uploading ? null : this.onOk}
            >确定</Button>
          </div>
        </div>
      </Drawer>
    )
  }
}
export default UpdateNotify
