import { queryCurrent, query as queryUsers, getUserInfo } from '@/services/user';
import { setAuthority } from '@/utils/authority';
import { getChannelListByGroupId } from '@/services/manage'

const UserModel = {
  namespace: 'channel',
  state: {
    channelListByGroupId: [],
    getChannelListByGroupIdLoading: false,
  },
  effects: {

    *fetchChannelListByGroupId(_, { call, put }) {
      console.log("BBBB")
      try {
        yield put({
          type: 'getChannelListByGroupIdLoading',
          payload: {
            getChannelListByGroupIdLoading: true
          }
        })
        const response = yield call(getChannelListByGroupId);
        yield put({
          type: 'saveChannelListByGroupId',
          payload: response.data || {},
        });
        yield put({
          type: 'getChannelListByGroupIdLoading',
          payload: {
            getChannelListByGroupIdLoading: false
          }
        })
      } catch (e) {
        console.log(e)
      }
    },
  },
  reducers: {

    saveChannelListByGroupId(state, { payload }) {
      return { ...state, channelListByGroupId: payload.list || [] };
    },

    getChannelListByGroupIdLoading(state, { payload }) {
      return Object.assign({}, state, payload)
    }
  },
};
export default UserModel;
