import { stringify } from 'qs';
import request from '@/utils/request';


//获得渠道App信息
export async function getChannelApp(params) {
  return request(`/api-channel/v1/channel/getChannelApp?${stringify(params)}`);
}

//查询（自己渠道下）所有未删除的秘钥
export async function getSecretKeyList(params) {
  return request(`/api-channel/v1/channel/getSecretKeyList?${stringify(params)}`);
}

//获取第三方app icon上传配置
export async function getThirdPartyAppIconUploadConfig(params) {
  return request(`/api-channel/v1/data/getThirdPartyAppIconUploadConfig?${stringify(params)}`);
}

//生成渠道APP秘钥
export async function createSecretKey(params) {
  return request('/api-channel/v1/channel/createSecretKey', {
    method: 'POST',
    body: params,
  });
}

//启用/禁用渠道APP秘钥
export async function activateSecretKey(params) {
  return request('/api-channel/v1/channel/activateSecretKey', {
    method: 'POST',
    body: params,
  });
}

//删除渠道APP秘钥
export async function deleteSecretKey(params) {
  return request('/api-channel/v1/channel/deleteSecretKey', {
    method: 'POST',
    body: params,
  });
}

//变更渠道APP秘钥
export async function changeSecretKey(params) {
  return request('/api-channel/v1/channel/changeSecretKey', {
    method: 'POST',
    body: params,
  });
}

//编辑渠道APP
export async function editChannelApp(params) {
  return request('/api-channel/v1/channel/editChannelApp', {
    method: 'POST',
    body: params,
  });
}

//管理员-列表
export async function getAdminPageList(params) {
  return request(`/api-channel/v1/admin/getAdminPageList?${stringify(params)}`);
}

//管理员-创建
export async function createAdmin(params) {
  return request('/api-channel/v1/admin/createAdmin', {
    method: 'POST',
    body: params,
  });
}


//管理员-删除
export async function deleteAdmin(params) {
  return request('/api-channel/v1/admin/deleteAdmin', {
    method: 'POST',
    body: params,
  });
}

//管理员-启用
export async function enableAdmin(params) {
  return request('/api-channel/v1/admin/enableAdmin', {
    method: 'POST',
    body: params,
  });
}

//管理员-禁用
export async function disableAdmin(params) {
  return request('/api-channel/v1/admin/disableAdmin', {
    method: 'POST',
    body: params,
  });
}

//管理员-编辑
export async function editAdmin(params) {
  return request('/api-channel/v1/admin/editAdmin', {
    method: 'POST',
    body: params,
  });
}

//获取渠道信息详情
export async function getChannelinformation(params) {
  return request(`/api-channel/v1/channel/getInfo?${stringify(params)}`)
}

//编辑渠道分成比例
export async function editChanneldivided(params) {
  return request('/api-channel/v1/channel/setChannelRatio', {
    method: 'POST',
    body: params
  })
}

// 渠道RSA密钥详情
export async function getRSAInfo(params) {
  return request(`/api-channel/v1/channel/sec/rsa/getInfo?${stringify(params)}`)
}

// 更新RSA公钥
export async function updateRSAInfo(params) {
  return request('/api-channel/v1/channel/sec/rsa/update', {
    method: 'POST',
    body: params
  })
}
// 渠道异步通知配置详细信息
export async function getNotifyConfigInfo(params) {
  return request(`/api-channel/v1/channel/notify/cfg/getInfo?${stringify(params)}`)
}
// 更新异步通知配置
export async function updateNotifyConfig(params) {
  return request('/api-channel/v1/channel/notify/cfg/update', {
    method: 'POST',
    body: params
  })
}

// 调用异步通知接口的记录
export async function channelNotifyHis(params) {
  return request(`/api-channel/v1/channel/notify/his/getPageList?${stringify(params)}`)
}

// 重发通知消息
export async function resendNotification(params) {
  return request('/api-channel/v1/channel/notify/his/resendNotification', {
    method: 'POST',
    body: params
  })
}

