import { stringify } from 'qs';
import request from '@/utils/request';

// 获取用户列表
export const getUserList = (params) => {
  return request(`/api-channel/v1/user/getUserList?${stringify(params)}`)
}

// 同步用户信息
export const syncUser = (params) => {
  return request('/api-channel/v1/user/syncUser', {
    method: 'POST',
    body: params,
  })
}

// 封禁用户
export const userDisabled = (params) => {
  return request('/api-channel/v1/user/userDisabled', {
    method: 'POST',
    body: params,
  })
}

// 解封用户
export const userEnabled = (params) => {
  return request('/api-channel/v1/user/userEnabled', {
    method: 'POST',
    body: params,
  })
}

// 获取用户详情
export const getUserDetail = (params) => {
  return request(`/api-channel/v1/user/getUserDetail?${stringify(params)}`)
}

// 增加积分
export const addScore = (params) => {
  return request('/api-channel/v1/user/addScore', {
    method: 'POST',
    body: params,
  })
}

// 减少积分
export const reduceScore = (params) => {
  return request('/api-channel/v1/user/reduceScore', {
    method: 'POST',
    body: params,
  })
}

// 获取操作积分记录列表
export const getScoreManageHisPageList = (params) => {
  return request(`/api-channel/v1/user/getScoreManageHisPageList?${stringify(params)}`)
}

// 解绑支付宝
export const unbindAlipay = (params) => {
  return request('/api-channel/v1/user/unbindAlipay', {
    method: 'POST',
    body: params,
  })
}

// 创建用户
export const createUser = (params) => {
  return request('/api-channel/v1/user/createUser', {
    method: 'POST',
    body: params,
  })
}

// 编辑用户
export const editUser = (params) => {
  return request('/api-channel/v1/user/editUser', {
    method: 'POST',
    body: params,
  })
}

// 更新用户名
export const setUserName = (params) => {
  return request('/api-channel/v1/user/setUserName', {
    method: 'POST',
    body: params,
  })
}


// 获取用户头像上传配置
export const getUserAvatarUploadConfig = (params) => {
  return request(`/api-common/v1/data/getUserAvatarUploadConfig?${stringify(params)}`)
}

// 获取用户封面上传配置
export const getUserCoverUploadConfig = (params) => {
  return request(`/api-common/v1/data/getUserCoverUploadConfig?${stringify(params)}`)
}

// 用户在线记录-列表
export const getUserOnlineHisList = (params) => {
  return request(`/api-channel/v1/user/getUserOnlineHisList?${stringify(params)}`)
}

