import { stringify } from 'qs';
import request from '@/utils/request';

// 查询渠道钱包
export async function walletGetInfo(params) {
  return request(`/api-channel/v1/channel/wallet/getInfo?${stringify(params)}`)
}

// 渠道钱包流水
export async function getWalletHisPageList(params) {
  return request(`/api-channel/v1/channel/wallet/his/getPageList?${stringify(params)}`)
}
// 渠道充值流水
export async function getRechargeHisPageList(params) {
  return request(`/api-channel/v1/channel/recharge/his/getPageList?${stringify(params)}`)
}
// 渠道兑换流水
export async function getExchangeHisPageList(params) {
  return request(`/api-channel/v1/channel/exchange/his/getPageList?${stringify(params)}`)
}
// 渠道发红包流水
export async function getRedEnvPageList(params) {
  return request(`/api-channel/v1/channel/red/env/getPageList?${stringify(params)}`)
}

// 支付宝充值 
export async function channelWalletRecharge(params) {
  return request('/api-channel/v1/channel/wallet/recharge', {
    method: 'POST',
    body: params
  })
}

// 查询充值订单支付状态
// 返回值 11:待支付; 21:支付失败; 22:支付取消; 99:支付成功
export async function getPayStatus(params) {
  return request(`/api-channel/v1/channel/wallet/getPayStatus?${stringify(params)}`)
}

// 发星钻红包
export async function channelSendDiamond(params) {
  return request('/api-channel/v1/channel/wallet/sendDiamond', {
    method: 'POST',
    body: params
  })
}

