/**
 * 发红包
 */
import React, { Component } from 'react'
import styles from './SendRedEvelop.less'
import { Drawer, Button, InputNumber, Form, Result, Input } from 'antd'
import { channelSendDiamond, getPayStatus } from '../../api'
import QRCode from 'qrcode.react'
import iconZhi from '@/assets/icon_zhi.png'

const FormItem = Form.Item
const formItemLayout = {
  labelCol: { xs: { span: 24, }, sm: { span: 6, }, },
  wrapperCol: { 
    xs: { span: 24, },
    sm: { span: 14, },
    md: { span: 14, },
  },
}
const itemStyle = {
  width: '100%'
}

// 底部按钮样式
const _btnStyle = {
  width: 110,
  margin: '0 10px'
}

class WalletRecharge extends Component {
  constructor (props) {
    super(props)
    this.state = {
      uploading: false,
    }
  }
  formRef = React.createRef()

  onOk = async () => {
    try {
      const values = await this.formRef.current.validateFields()
      const { onOk } = this.props
      this.setState({ uploading: true })
      const { code, data } = await channelSendDiamond(values)
      if (code === 'OK' && data){
        // 发送成功
        onOk && onOk()
      }
    } catch (e) {
      console.log(e)
      this.setState({ uploading: false })
    }
  }
  render () {
    const { uploading } = this.state
    const { onCancel } = this.props

    return (
      <Drawer
        width={520}
        visible
        title='发红包'
        maskClosable
        onClose={onCancel}
      >
        <div className={styles['content-wrap']}>
          <Form ref={this.formRef} {...formItemLayout}>
            <FormItem
              label='用户星芽号'
              name='userNo'
              rules={[{ required: true, message: '请输入用户星芽号' }]}
            >
              <InputNumber
                placeholder='请输入用户星芽号' 
                style={itemStyle}
                precision={0}
                min={0}
              />
            </FormItem>
            <FormItem
              label='星钻数'
              name='amount'
              rules={[{ required: true, message: '请输入星钻数' }]}
            >
              <InputNumber 
                placeholder='请输入充值金额' 
                precision={0}
                min={0}
                style={itemStyle}
              />
            </FormItem>
          </Form>
          <div className={styles['footer-wrap']}>
            <Button
              style={_btnStyle}
              onClick={onCancel}
            >取消</Button>
            <Button
              type='primary'
              style={_btnStyle}
              loading={uploading}
              onClick={uploading ? null : this.onOk}
            >确定</Button>
          </div>
        </div>
      </Drawer>
    )
  }
}
export default WalletRecharge
