/**
 * 
 * 查看红包接收者
 */
import React, { Component } from 'react'
import styles from './ShowReceiver.less'
import { Drawer, Button, Table } from 'antd'

// 底部按钮样式
const _btnStyle = {
  width: 110,
  margin: '0 10px'
}
const Column = Table.Column

class ShowReceiver extends Component {
  constructor (props) {
    super(props)
    this.state = {}
  }
  onOk = () => {
    const { onOk } = this.props
    onOk && onOk()
  }
  render () {
    const { onCancel, details } = this.props
    
    return (
      <Drawer
        width={540}
        visible
        title='红包明细'
        maskClosable
        onClose={onCancel}
      >
        <div className={styles['content-wrap']}>
          <div>
            <Table
              dataSource={details}
              bordered
              pagination={false}
              rowKey={(record, index) => index}
            >
              <Column 
                title='用户名称'
                key='userName'
                dataIndex='userName'
              />
              <Column 
                title='星芽号'
                key='userNo'
                dataIndex='userNo'
              />
              <Column 
                title='金额(星钻)'
                key='amount'
                dataIndex='amount'
              />
            </Table>
          </div>
          <div className={styles['footer-wrap']}>
            <Button
              style={_btnStyle}
              onClick={onCancel}
            >取消</Button>
            <Button
              type='primary'
              style={_btnStyle}
              onClick={this.onOk}
            >确定</Button>
          </div>
        </div>
      </Drawer>
    )
  }
}
export default ShowReceiver
