import MD5 from './Security'
import { Base64 as Base64Npm } from 'js-base64'
export const Base64 = Base64Npm
export { default as MyDate } from './MyDate'

// 获取时间
export const getDate = (nDate = (new Date()), fmt = 'yyyy-MM-dd hh:mm:ss') => {
  const sDate = new Date(nDate)
  const dateObj = {
    'M+': sDate.getMonth() + 1,
    'd+': sDate.getDate(),
    'h+': sDate.getHours(),
    'm+': sDate.getMinutes(),
    's+': sDate.getSeconds(),
    'q+': Math.floor((sDate.getMonth() + 3) / 3),
    'S': sDate.getMilliseconds()
  }
  if (/(y+)/.test(fmt)) {
    fmt = fmt.replace(RegExp.$1, (sDate.getFullYear() + '')
      .substr(4 - RegExp.$1.length))
  }
  for (const s in dateObj) {
    if (new RegExp('(' + s + ')').test(fmt)) {
      fmt = fmt.replace(RegExp.$1, (RegExp.$1.length === 1)
        ? (dateObj[s])
        : (('00' + dateObj[s]).substr(('' + dateObj[s]).length)))
    }
  }
  return fmt
}

// 时间格式化
export const formatTimeLabel = (time) => {
  let timeStr = time + ''
  let timeStrLen = timeStr.length

  // 年
  if (timeStrLen === 4) {
    return timeStr + '年'
  }

  // 月
  if (timeStrLen === 6) {
    return `${parseInt(timeStr.substr(0, 4))}年${parseInt(timeStr.substr(4))}月`
  }

  // 日
  if (timeStrLen === 8) {
    let timeStr2 = timeStr.substr(4)
    return `${parseInt(timeStr.substr(0, 4))}年${parseInt(timeStr2.substr(0, 2))}月${parseInt(timeStr2.substr(2, 2))}日`
  }

  // 时
  if (timeStrLen === 10) {
    let timeStr2 = timeStr.substr(4)
    let year = timeStr.substr(0, 4)
    let month = parseInt(timeStr2.substr(0, 2))
    let day = parseInt(timeStr2.substr(2, 2))
    let hours = parseInt(timeStr2.substr(4))

    return `${year}年${month}月${day}日${hours}时`
  }

  return '-'
}

export const regIntNumber = /^[1-9]\d*$/
export {
  // 贵族等级
  nobleArray, getNobleLevelStr, 
  // 钱包类型
  walletTypeArray, getWalletTypeStr, 
  // 单聊标签类型
  singleEvaluateTypes, getSingleEvaluateTypeStr,
  // 单聊记录状态
  singleChatRecordStatus, getSingleChatRecordStatus, 
  // 单聊价格类型
  singlePriceTypes, dataTagTypes, getDataTagTypeStr,
  // 聊天时长卡 类型
  chatDurationArray, getChatDurationArrayStr, 
  // 平台统计
  statPlatformTypeArray, getStatPlatformType,
  // 平台统计时间类型
  stateTimeTypeArray, getStateTimeTypeArray,
  // 异步通知配置
  notifyConfigTypeArray, getNotifyConfigTypeStr,
  // 渠道充值支付状态
  payStatusArray, getPayStatusStr, 
} from './enums'

export { showSuccess, showError, showInfo } from './notice'
export const encryptMd5 = MD5.encryptMd5
